<?php

function fecha_format($fecha)
{
$fecha=trim($fecha);
$fecha=str_replace('/','-',$fecha);
$fecha=str_replace('.','-',$fecha);
$fecha=str_replace('--','-',$fecha);
$fecha=str_replace('--','-',$fecha);
$fecha=str_replace('#','-',$fecha);

$barra1 = stripos($fecha, '/');
$barra2 = strripos($fecha, '/');

if ($barra1<=3)
{	
$dia=trim(substr($fecha,0,$barra1-1));
$mes=trim(substr($fecha,$barra1,$barra2-$barra1+1));
$anio=trim(substr($fecha,$barra2,4));

if($strlen($anio)==1){$anio='201'.$anio;}
if($strlen($anio)==2)
	{echo $anio;
	if ($anio>=30){$anio='19'.$anio;}else{$anio='20'.$anio;}
	}
	
if (strlen($dia)<2){$dia='0'.$dia;}
if (strlen($mes)<2){$mes='0'.$mes;}
// if (int($mes)>12){$mes='12';}
if ($mes>12){$mes='12';}
$fecha=$anio.'-'.$mes.'-'.$dia;
}
	return $fecha;
}
?>